#!/bin/bash

PATH=$PATH:$HOME/bin

set -e

cd $(dirname $0)

mkdir -p logs

NOW=$(date +%F_%R:%S)
LOG=${NOW}.log

make -C steps > logs/$LOG 2>&1 || cat logs/$LOG

make -C www --silent publish

( cd logs && git add $LOG && git commit --quiet -m 'Automatic commit' && git push --quiet )
